Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 0.5.1

Bug #3746 DB::assertExtension() not available anymore
Submitted: 2005-03-08 13:57 UTC Modified: 2008-03-24 15:27 UTC
From: tomni Assigned: dufuz
Status: Closed Package: DB_ldap2
PHP Version: 5.0.1 OS: Suse Linux 9.1
Roadmaps: (Not assigned)    
Subscription  


 [2005-03-08 13:57 UTC] tomni
Description: ------------ Accoarding to the Changelog of DB 1.7.0RC1 they switching from DB::assertExtension() to PEAR::loadExtension()therefore LDAP2 doesnt work with DB above Version 1.6.8 anymore. There is an error message produced from PHP that it cant find the DB::assertExtension() function.

Comments

 [2005-08-24 15:50 UTC] no dot spam dot pear dot php dot net at t4lx dot com
I was able to get this class working by replacing DB::assertExtension() with PEAR::loadExtension() in ldap2.php and ldap3.php. Thanks for the info Tom
 [2008-03-24 15:27 UTC] dufuz (Helgi Þormar Þorbjörnsson)
This bug has been fixed in CVS. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.